# -*- coding: utf-8 -*-
# Copyright (C) 2021 mhertz <yourname@example.com>
#
# Basic plugin template created by the Deluge Team.
#
# This file is part of resume and is licensed under GNU GPL 3.0, or later,
# with the additional special exception to link portions of this program with
# the OpenSSL library. See LICENSE for more details.
from __future__ import unicode_literals

import logging

import deluge.configmanager
from deluge.core.rpcserver import export
from deluge.plugins.pluginbase import CorePluginBase
import deluge.component as component
from twisted.internet import reactor
import time

log = logging.getLogger(__name__)

class Core(CorePluginBase):
    def enable(self):
        component.get("EventManager").register_event_handler("SessionStartedEvent", self.z)

    def disable(self):
        component.get("EventManager").deregister_event_handler("SessionStartedEvent", self.z)

    def update(self):
        pass

    def z(self):
        def f():
            torrentmanager = component.get("TorrentManager")
            torrent_ids = torrentmanager.get_torrent_list()
            for i in torrent_ids:
                t = torrentmanager.torrents.get(i, None)
                paused = t.get_status(['paused'],update=True)['paused']
                error = t.get_status(['state'],update=True)['state'].find("Error") != -1
                if paused: t.resume()
                if error: 
                    t.force_recheck()
                    time.sleep(1)
                    t.resume()
        reactor.callLater(1,f)
