/**
 * Script: resume.js
 *     The client-side javascript code for the resume plugin.
 *
 * Copyright:
 *     (C) mhertz 2021 <yourname@example.com>
 *
 *     This file is part of resume and is licensed under GNU GPL 3.0, or
 *     later, with the additional special exception to link portions of this
 *     program with the OpenSSL library. See LICENSE for more details.
 */

resumePlugin = Ext.extend(Deluge.Plugin, {
    constructor: function(config) {
        config = Ext.apply({
            name: 'resume'
        }, config);
        resumePlugin.superclass.constructor.call(this, config);
    },

    onDisable: function() {
        deluge.preferences.removePage(this.prefsPage);
    },

    onEnable: function() {
        this.prefsPage = deluge.preferences.addPage(
            new Deluge.ux.preferences.resumePage());
    }
});
new resumePlugin();
